=== kdecore/CMakeLists.txt ===
add_subdirectory( src )
add_subdirectory( lib )
