=== debian/changelog ===
qt4-perl (4.5~~svn1145508-2) unstable; urgency=low

  * Fix qttest dependencies. Closes: 591564

 -- Sune Vuorela <sune@debian.org>  Wed, 04 Aug 2010 09:34:52 +0200

qt4-perl (4.5~~svn1145508-1) unstable; urgency=low

  * Initial release

 -- Sune Vuorela <sune@debian.org>  Wed, 07 Jul 2010 14:46:21 +0200
