=== debian/control ===
Source: qt4-perl
Section: perl
Priority: optional
Maintainer: Sune Vuorela <sune@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, libsmokeqt4-dev, libperl-dev, libqt4-dev
Standards-Version: 3.8.4

Package: libqtcore4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: perl bindings for the Qt Core library
 This package contains perl bindings for the Qt Core library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtcore4 package.

Package: libqtgui4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Gui library
 This package contains perl bindings for the Qt Gui library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.

Package: libqtxml4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Xml library
 This package contains perl bindings for the Qt Xml library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.

Package: libqtnetwork4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Network library
 This package contains perl bindings for the Qt Network library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.

Package: libqttest4-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqtcore4-perl (= ${binary:Version})
Description: perl bindings for the Qt Test library
 This package contains perl bindings for the Qt Test library.
 . 
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-test package.
