## qt4-perl 4.8.4

=== debian/changelog ===
qt4-perl (4.8.4-1) unstable; urgency=low

  * New upstream release
  * Removed some no-longer needed patches
  * Bump some build-dep version

 -- Sune Vuorela <sune@debian.org>  Wed, 20 Jun 2012 23:41:56 +0200
