=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: perl
 Priority: optional
 Maintainer: Sune Vuorela <sune@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, libsmokeqt4-dev, libperl-dev, libqt4-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, libsmokeqt4-dev (>> 4:4.8.4), libperl-dev, libqt4-dev (>> 4:4.8)
 Standards-Version: 3.8.4
 
 Package: libqtcore4-perl
