=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
DEB_CMAKE_EXTRA_FLAGS=-DCUSTOM_PERL_SITE_ARCH_DIR=$(shell perl -MConfig -e 'print $$Config{installvendorarch}')
