## qt4-perl 4.10.2

=== debian/changelog ===
qt4-perl (4.10.2-1) experimental; urgency=low

  * New upstream release

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 15:53:50 +0000
